=== debian/control ===
Source: ros-kinetic-jsk-footstep-planner
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-interactive-marker, ros-kinetic-jsk-recognition-utils, ros-kinetic-jsk-rviz-plugins, ros-kinetic-jsk-topic-tools, ros-kinetic-message-generation, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-roseus, ros-kinetic-visualization-msgs
Homepage: http://ros.org/wiki/jsk_footstep_planner
Standards-Version: 3.9.2

Package: ros-kinetic-jsk-footstep-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-interactive-marker, ros-kinetic-jsk-pcl-ros, ros-kinetic-jsk-recognition-msgs, ros-kinetic-jsk-recognition-utils, ros-kinetic-jsk-rviz-plugins, ros-kinetic-jsk-topic-tools, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-roseus, ros-kinetic-visualization-msgs
Description: jsk_footstep_planner
